Index: trunk/doc/Flair/namespaceflair_1_1core.html
===================================================================
--- trunk/doc/Flair/namespaceflair_1_1core.html	(revision 16)
+++ trunk/doc/Flair/namespaceflair_1_1core.html	(revision 23)
@@ -4,5 +4,5 @@
 <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
 <meta http-equiv="X-UA-Compatible" content="IE=9"/>
-<meta name="generator" content="Doxygen 1.8.7"/>
+<meta name="generator" content="Doxygen 1.8.9.1"/>
 <title>Flair: flair::core Namespace Reference</title>
 <link href="tabs.css" rel="stylesheet" type="text/css"/>
@@ -11,4 +11,5 @@
 <link href="navtree.css" rel="stylesheet" type="text/css"/>
 <script type="text/javascript" src="resize.js"></script>
+<script type="text/javascript" src="navtreedata.js"></script>
 <script type="text/javascript" src="navtree.js"></script>
 <script type="text/javascript">
@@ -17,7 +18,8 @@
 </script>
 <link href="search/search.css" rel="stylesheet" type="text/css"/>
+<script type="text/javascript" src="search/searchdata.js"></script>
 <script type="text/javascript" src="search/search.js"></script>
 <script type="text/javascript">
-  $(document).ready(function() { searchBox.OnSelectItem(0); });
+  $(document).ready(function() { init_search(); });
 </script>
 <link href="doxygen.css" rel="stylesheet" type="text/css" />
@@ -40,5 +42,5 @@
 </div>
 <!-- end header part -->
-<!-- Generated by Doxygen 1.8.7 -->
+<!-- Generated by Doxygen 1.8.9.1 -->
 <script type="text/javascript">
 var searchBox = new SearchBox("searchBox", "search",false,'Search');
@@ -94,5 +96,5 @@
      onmouseout="return searchBox.OnSearchSelectHide()"
      onkeydown="return searchBox.OnSearchSelectKey(event)">
-<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>
+</div>
 
 <!-- iframe showing the search results (closed by default) -->
@@ -443,5 +445,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> flair::core::operator+ </td>
           <td>(</td>
-          <td class="paramtype">Quaternion const &amp;&#160;</td>
+          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> const &amp;&#160;</td>
           <td class="paramname"><em>quaterniontA</em>, </td>
         </tr>
@@ -449,5 +451,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">Quaternion const &amp;&#160;</td>
+          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> const &amp;&#160;</td>
           <td class="paramname"><em>quaterniontB</em>&#160;</td>
         </tr>
@@ -480,5 +482,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> flair::core::operator- </td>
           <td>(</td>
-          <td class="paramtype">Quaternion const &amp;&#160;</td>
+          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> const &amp;&#160;</td>
           <td class="paramname"><em>quaternionA</em>, </td>
         </tr>
@@ -486,5 +488,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">Quaternion const &amp;&#160;</td>
+          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> const &amp;&#160;</td>
           <td class="paramname"><em>quaterniontB</em>&#160;</td>
         </tr>
@@ -517,5 +519,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> flair::core::operator- </td>
           <td>(</td>
-          <td class="paramtype">const Quaternion &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
           <td class="paramname"><em>quaternion</em></td><td>)</td>
           <td></td>
@@ -543,5 +545,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> flair::core::operator* </td>
           <td>(</td>
-          <td class="paramtype">Quaternion const &amp;&#160;</td>
+          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> const &amp;&#160;</td>
           <td class="paramname"><em>quaternionA</em>, </td>
         </tr>
@@ -549,5 +551,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">Quaternion const &amp;&#160;</td>
+          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> const &amp;&#160;</td>
           <td class="paramname"><em>quaterniontB</em>&#160;</td>
         </tr>
@@ -586,5 +588,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">Quaternion const &amp;&#160;</td>
+          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> const &amp;&#160;</td>
           <td class="paramname"><em>quaternion</em>&#160;</td>
         </tr>
@@ -617,5 +619,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> flair::core::operator* </td>
           <td>(</td>
-          <td class="paramtype">Quaternion const &amp;&#160;</td>
+          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> const &amp;&#160;</td>
           <td class="paramname"><em>quaternion</em>, </td>
         </tr>
@@ -654,5 +656,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> flair::core::operator+ </td>
           <td>(</td>
-          <td class="paramtype">const Vector2D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorA</em>, </td>
         </tr>
@@ -660,5 +662,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector2D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorB</em>&#160;</td>
         </tr>
@@ -690,5 +692,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> flair::core::operator- </td>
           <td>(</td>
-          <td class="paramtype">const Vector2D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorA</em>, </td>
         </tr>
@@ -696,5 +698,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector2D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorB</em>&#160;</td>
         </tr>
@@ -726,5 +728,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> flair::core::operator/ </td>
           <td>(</td>
-          <td class="paramtype">const Vector2D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td>
           <td class="paramname"><em>vector</em>, </td>
         </tr>
@@ -763,5 +765,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> flair::core::operator* </td>
           <td>(</td>
-          <td class="paramtype">const Vector2D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td>
           <td class="paramname"><em>vector</em>, </td>
         </tr>
@@ -806,5 +808,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector2D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> &amp;&#160;</td>
           <td class="paramname"><em>vector</em>&#160;</td>
         </tr>
@@ -837,5 +839,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> flair::core::operator+ </td>
           <td>(</td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorA</em>, </td>
         </tr>
@@ -843,5 +845,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorB</em>&#160;</td>
         </tr>
@@ -874,5 +876,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> flair::core::operator- </td>
           <td>(</td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorA</em>, </td>
         </tr>
@@ -880,5 +882,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorB</em>&#160;</td>
         </tr>
@@ -911,5 +913,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> flair::core::operator- </td>
           <td>(</td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vector</em></td><td>)</td>
           <td></td>
@@ -937,5 +939,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> flair::core::operator/ </td>
           <td>(</td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vector</em>, </td>
         </tr>
@@ -974,5 +976,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> flair::core::operator* </td>
           <td>(</td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorA</em>, </td>
         </tr>
@@ -980,5 +982,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorB</em>&#160;</td>
         </tr>
@@ -1011,5 +1013,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> flair::core::operator* </td>
           <td>(</td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vector</em>, </td>
         </tr>
@@ -1054,5 +1056,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vector</em>&#160;</td>
         </tr>
@@ -1085,5 +1087,5 @@
           <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> flair::core::CrossProduct </td>
           <td>(</td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorA</em>, </td>
         </tr>
@@ -1091,5 +1093,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorB</em>&#160;</td>
         </tr>
@@ -1122,5 +1124,5 @@
           <td class="memname">float flair::core::DotProduct </td>
           <td>(</td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorA</em>, </td>
         </tr>
@@ -1128,5 +1130,5 @@
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const Vector3D &amp;&#160;</td>
+          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
           <td class="paramname"><em>vectorB</em>&#160;</td>
         </tr>
@@ -1158,7 +1160,7 @@
   <ul>
     <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li>
-    <li class="footer">Generated on Thu Apr 21 2016 11:41:04 for Flair by
+    <li class="footer">Generated on Wed Jun 22 2016 08:08:42 for Flair by
     <a href="http://www.doxygen.org/index.html">
-    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
+    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
   </ul>
 </div>