Index: trunk/doc/Flair/classflair_1_1filter_1_1_pid_thrust-members.html
===================================================================
--- trunk/doc/Flair/classflair_1_1filter_1_1_pid_thrust-members.html	(revision 23)
+++ trunk/doc/Flair/classflair_1_1filter_1_1_pid_thrust-members.html	(revision 25)
@@ -130,30 +130,31 @@
   <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#a9877d488ad17a52affd8c68beca426d1">input</a></td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
   <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">IODevice</a>(const Object *parent, std::string name)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ac3810b92073bc3e5062a387e089b2295">OffsetStepDown</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ac556b3702ad3352fdfad1bde19f16af0">OffsetStepUp</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#ace241d108bd0213135dbd6a5a561d0cf">Output</a>(uint32_t index=0) const </td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#aad8a67d158a1eda16ed53615e2511f97">output</a></td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a>(bool enabled)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ab46191511449bc44699102a239eb82f6">PidThrust</a>(const gui::LayoutPosition *position, std::string name)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a>(io_data *data)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a4987d6892e567cce5af9b22dcf065542">Reset</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ad82440a1c4d9b0409c8549f900991223">ResetI</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a3ec37a57185a1f3164e081e89b08e378">ResetOffset</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a9109d86fb350919a673af114c5d66f0f">SetOffset</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#afdbec017ebadc52cef7e901ecd92d959">SetValues</a>(float p, float d)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#a228f8bf6857d96fa015bec9e016d2132">Update</a>(core::Time time)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a8b77f7720b1406f48baa3c43cf87765a">UseDefaultPlot</a>(const gui::LayoutPosition *position)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#a62210ace4d3338cbc528ed712e72ac27">~ControlLaw</a>()</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a0332ced449a5257a484e484379921445">~PidThrust</a>()</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>lastUpdate</b> (defined in <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ac3810b92073bc3e5062a387e089b2295">OffsetStepDown</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ac556b3702ad3352fdfad1bde19f16af0">OffsetStepUp</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#ace241d108bd0213135dbd6a5a561d0cf">Output</a>(uint32_t index=0) const </td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#aad8a67d158a1eda16ed53615e2511f97">output</a></td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a>(bool enabled)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ab46191511449bc44699102a239eb82f6">PidThrust</a>(const gui::LayoutPosition *position, std::string name)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a>(io_data *data)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a4987d6892e567cce5af9b22dcf065542">Reset</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ad82440a1c4d9b0409c8549f900991223">ResetI</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a3ec37a57185a1f3164e081e89b08e378">ResetOffset</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a9109d86fb350919a673af114c5d66f0f">SetOffset</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#afdbec017ebadc52cef7e901ecd92d959">SetValues</a>(float p, float d)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#a228f8bf6857d96fa015bec9e016d2132">Update</a>(core::Time time)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a8b77f7720b1406f48baa3c43cf87765a">UseDefaultPlot</a>(const gui::LayoutPosition *position)</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html#a62210ace4d3338cbc528ed712e72ac27">~ControlLaw</a>()</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_control_law.html">flair::filter::ControlLaw</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a0332ced449a5257a484e484379921445">~PidThrust</a>()</td><td class="entry"><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html">flair::filter::PidThrust</a></td><td class="entry"></td></tr>
 </table></div><!-- contents -->
 </div><!-- doc-content -->
@@ -161,5 +162,5 @@
 <div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
   <ul>
-    <li class="footer">Generated on Wed Jun 22 2016 08:08:42 for Flair by
+    <li class="footer">Generated on Wed Jun 22 2016 15:34:01 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>