Index: trunk/doc/Flair/files.html
===================================================================
--- trunk/doc/Flair/files.html	(revision 25)
+++ trunk/doc/Flair/files.html	(revision 26)
@@ -125,6 +125,6 @@
 <tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_camera_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_camera_8h.html" target="_self">Camera.h</a></td><td class="desc">Base class for Camera </td></tr>
 <tr id="row_13_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_castle_8h_source.html"><span class="icondoc"></span></a><b>Castle.h</b></td><td class="desc"></td></tr>
-<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_check_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_check_box_8h.html" target="_self">CheckBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcheckbox.html">QCheckBox</a> on the ground station </td></tr>
-<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_combo_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_combo_box_8h.html" target="_self">ComboBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcombobox.html">QComboBox</a> on the ground station </td></tr>
+<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_check_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_check_box_8h.html" target="_self">CheckBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcheckbox.html">QCheckBox</a> on the ground station </td></tr>
+<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_combo_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_combo_box_8h.html" target="_self">ComboBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcombobox.html">QComboBox</a> on the ground station </td></tr>
 <tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_condition_variable_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_condition_variable_8h.html" target="_self">ConditionVariable.h</a></td><td class="desc">Class defining a condition variable </td></tr>
 <tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_connected_socket_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_connected_socket_8h.html" target="_self">ConnectedSocket.h</a></td><td class="desc">Class defining a socket working in connected mode </td></tr>
@@ -138,5 +138,5 @@
 <tr id="row_25_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_data_plot2_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_data_plot2_d_8h.html" target="_self">DataPlot2D.h</a></td><td class="desc">Class displaying a 2D plot on the ground station </td></tr>
 <tr id="row_26_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_discrete_time_variable_8h_source.html"><span class="icondoc"></span></a><b>DiscreteTimeVariable.h</b></td><td class="desc"></td></tr>
-<tr id="row_27_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_double_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_double_spin_box_8h.html" target="_self">DoubleSpinBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> on the ground station </td></tr>
+<tr id="row_27_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_double_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_double_spin_box_8h.html" target="_self">DoubleSpinBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> on the ground station </td></tr>
 <tr id="row_28_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_emulated_controller_8h_source.html"><span class="icondoc"></span></a><b>EmulatedController.h</b></td><td class="desc"></td></tr>
 <tr id="row_29_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_euler_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_euler_8h.html" target="_self">Euler.h</a></td><td class="desc">Class defining euler angles </td></tr>
@@ -145,6 +145,6 @@
 <tr id="row_32_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_geo_coordinate_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_geo_coordinate_8h.html" target="_self">GeoCoordinate.h</a></td><td class="desc">Class defining a point by its lla coordinates </td></tr>
 <tr id="row_33_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_gps_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_gps_8h.html" target="_self">Gps.h</a></td><td class="desc">Base class for GPS </td></tr>
-<tr id="row_34_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_grid_layout_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_grid_layout_8h.html" target="_self">GridLayout.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgridlayout.html">QGridLayout</a> on the ground station </td></tr>
-<tr id="row_35_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_group_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_group_box_8h.html" target="_self">GroupBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> on the ground station </td></tr>
+<tr id="row_34_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_grid_layout_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_grid_layout_8h.html" target="_self">GridLayout.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgridlayout.html">QGridLayout</a> on the ground station </td></tr>
+<tr id="row_35_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_group_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_group_box_8h.html" target="_self">GroupBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> on the ground station </td></tr>
 <tr id="row_36_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_gui_8h_source.html"><span class="icondoc"></span></a><b>Gui.h</b></td><td class="desc"></td></tr>
 <tr id="row_37_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_gx3__25__ahrs_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_gx3__25__ahrs_8h.html" target="_self">Gx3_25_ahrs.h</a></td><td class="desc">Class for 3dmgx3-25 ahrs </td></tr>
@@ -160,5 +160,5 @@
 <tr id="row_47_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_i_o_device_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_i_o_device_8h.html" target="_self">IODevice.h</a></td><td class="desc">Abstract class for input/ouput system </td></tr>
 <tr id="row_48_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_joy_reference_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_joy_reference_8h.html" target="_self">JoyReference.h</a></td><td class="desc">Class creating references from a joystick </td></tr>
-<tr id="row_49_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_label_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_label_8h.html" target="_self">Label.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlabel.html">QLabel</a> on the ground station </td></tr>
+<tr id="row_49_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_label_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_label_8h.html" target="_self">Label.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlabel.html">QLabel</a> on the ground station </td></tr>
 <tr id="row_50_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_laser_range_finder_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_laser_range_finder_8h.html" target="_self">LaserRangeFinder.h</a></td><td class="desc">Classe generique des telemetres laser </td></tr>
 <tr id="row_51_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_layout_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_layout_8h.html" target="_self">Layout.h</a></td><td class="desc">Abstract class to display a layout on the ground station </td></tr>
@@ -183,5 +183,5 @@
 <tr id="row_70_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_pid_thrust_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_pid_thrust_8h.html" target="_self">PidThrust.h</a></td><td class="desc">Class defining a Pid for Thrust </td></tr>
 <tr id="row_71_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_ps3_eye_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_ps3_eye_8h.html" target="_self">Ps3Eye.h</a></td><td class="desc">Class for Ps3Eye camera </td></tr>
-<tr id="row_72_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_push_button_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_push_button_8h.html" target="_self">PushButton.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qpushbutton.html">QPushButton</a> on the ground station </td></tr>
+<tr id="row_72_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_push_button_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_push_button_8h.html" target="_self">PushButton.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qpushbutton.html">QPushButton</a> on the ground station </td></tr>
 <tr id="row_73_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_quaternion_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_quaternion_8h.html" target="_self">Quaternion.h</a></td><td class="desc">Class defining a quaternion </td></tr>
 <tr id="row_74_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_radio_receiver_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_radio_receiver_8h.html" target="_self">RadioReceiver.h</a></td><td class="desc">Base class for radio receiver </td></tr>
@@ -208,12 +208,12 @@
 <tr id="row_95_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simu_x8_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_simu_x8_8h.html" target="_self">SimuX8.h</a></td><td class="desc">Class defining a simulation x8 uav </td></tr>
 <tr id="row_96_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_socket_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_socket_8h.html" target="_self">Socket.h</a></td><td class="desc">Class defining a UDP socket </td></tr>
-<tr id="row_97_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_spin_box_8h.html" target="_self">SpinBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station </td></tr>
+<tr id="row_97_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_spin_box_8h.html" target="_self">SpinBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station </td></tr>
 <tr id="row_98_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_srf08_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_srf08_8h.html" target="_self">Srf08.h</a></td><td class="desc">Class for ultra sonic SRF08 </td></tr>
 <tr id="row_99_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tab_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tab_8h.html" target="_self">Tab.h</a></td><td class="desc">Class displaying a QTab on the ground station </td></tr>
-<tr id="row_100_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tab_widget_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tab_widget_8h.html" target="_self">TabWidget.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtabwidget.html">QTabWidget</a> on the ground station </td></tr>
+<tr id="row_100_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tab_widget_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tab_widget_8h.html" target="_self">TabWidget.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtabwidget.html">QTabWidget</a> on the ground station </td></tr>
 <tr id="row_101_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_target_controller_8h_source.html"><span class="icondoc"></span></a><b>TargetController.h</b></td><td class="desc"></td></tr>
 <tr id="row_102_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_target_eth_controller_8h_source.html"><span class="icondoc"></span></a><b>TargetEthController.h</b></td><td class="desc"></td></tr>
 <tr id="row_103_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tcp_socket_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tcp_socket_8h.html" target="_self">TcpSocket.h</a></td><td class="desc">Class defining a Tcp socket </td></tr>
-<tr id="row_104_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_text_edit_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_text_edit_8h.html" target="_self">TextEdit.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtextedit.html">QTextEdit</a> on the ground station </td></tr>
+<tr id="row_104_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_text_edit_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_text_edit_8h.html" target="_self">TextEdit.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtextedit.html">QTextEdit</a> on the ground station </td></tr>
 <tr id="row_105_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_thread_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_thread_8h.html" target="_self">Thread.h</a></td><td class="desc">Abstract class for a thread </td></tr>
 <tr id="row_106_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_trajectory_generator1_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_trajectory_generator1_d_8h.html" target="_self">TrajectoryGenerator1D.h</a></td><td class="desc">Class generating a trajectory in 1D </td></tr>
@@ -231,5 +231,5 @@
 <tr id="row_118_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_d_8h.html" target="_self">Vector3D.h</a></td><td class="desc">Class defining a 3D vector </td></tr>
 <tr id="row_119_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_ddata_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_ddata_8h.html" target="_self">Vector3Ddata.h</a></td><td class="desc">Class defining a 3D vector and a io_data </td></tr>
-<tr id="row_120_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_d_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_d_spin_box_8h.html" target="_self">Vector3DSpinBox.h</a></td><td class="desc">Class displaying 3 <a class="elRef" target="_blank" doxygen="/opt/flair/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> for x,y,z on the ground station </td></tr>
+<tr id="row_120_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_d_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_d_spin_box_8h.html" target="_self">Vector3DSpinBox.h</a></td><td class="desc">Class displaying 3 <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> for x,y,z on the ground station </td></tr>
 <tr id="row_121_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vrpn_client_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vrpn_client_8h.html" target="_self">VrpnClient.h</a></td><td class="desc">Class to connect to a Vrpn server </td></tr>
 <tr id="row_122_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vrpn_object_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vrpn_object_8h.html" target="_self">VrpnObject.h</a></td><td class="desc">Class for VRPN object </td></tr>
@@ -248,5 +248,5 @@
 <div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
   <ul>
-    <li class="footer">Generated on Wed Jun 22 2016 15:34:01 for Flair by
+    <li class="footer">Generated on Fri Jul 1 2016 07:23:46 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>